← Wszystkie kategorie narzędzi
150 narzędzia robocze

Narzędzia tekstowe i listy

Oczyszczaj, porównuj i mierz treści bez przesyłania danych roboczych.

Wyśrodkuj linie tekstu

Wyśrodkuj każdą linię w dokładnej szerokości znaków Unicode, zachowując puste wiersze i odrzucając destrukcyjne obcinanie.

Otwórz narzędzie →

Usuń prefiks z słów

Usuń jeden dokładny fragment wiodący z pasujących słów Unicode i pozostaw interpunkcję, odstępy i niedopasowane słowa nietknięte.

Otwórz narzędzie →

Usuń przyrostek z słów

Usuń dokładnie jedno końcowe zakończenie z pasujących słów Unicode, bez spłaszczania separatorów ani modyfikowania słów, które nie zawierają tego sufiksu.

Otwórz narzędzie →

Wstaw separator między znakami

Umieść wybrany separator między punktami kodowymi Unicode, nie rozdzielając par surogatów, takich jak emoji, na nieprawidłowe połowy.

Otwórz narzędzie →

Cytuj każdą linię tekstu

Zawijaj każdą linię w podwójne cudzysłowy, pojedyncze cudzysłowy lub backticks, zachowując puste linie i oryginalną kolejność linii.

Otwórz narzędzie →

Usuwanie cytatów z linii tekstu

Usuń jedną zrównoważoną zewnętrzną parę cudzysłowów z każdego wiersza, używając automatycznego lub jawnego dopasowania stylu cudzysłowów.

Otwórz narzędzie →

Cytuj każde słowo

Otocz każdy token słowa Unicode wybranym znakiem cudzysłowu, zachowując przecinki, interpunkcję i oryginalne odstępy.

Otwórz narzędzie →

Usuń cytaty ze słów

Rozpakowuj pojedynczo cytowane słowa Unicode, gdy oba znaki cudzysłowu do siebie pasują, bez usuwania niepowiązanych cudzysłowów z prozy.

Otwórz narzędzie →

Normalizuj puste wiersze

Ogranicz liczbę kolejnych pustych wierszy do dokładnego maksimum, zachowując wcięcia i każdą niepustą linię.

Otwórz narzędzie →

Zamień spacje na nowe wiersze

Zamień każdy token oddzielony białym znakiem na osobną linię i zdeterministycznie zredukuj wielokrotne spacje, tabulatory oraz istniejące podziały wierszy.

Otwórz narzędzie →

Konwertowanie nowego wiersza na separator

Dołączaj niepuste linie tekstowe za pomocą konfigurowalnego separatora, przycinając tylko zewnętrzną biel każdego wiersza.

Otwórz narzędzie →

Word Frequency Analyzer

Rankuj słowa Unicode według liczby wystąpień z regulowaną minimalną długością, limitem wyników i porównaniem z uwzględnieniem wielkości liter.

Otwórz narzędzie →

Sortuj litery wewnątrz słów

Sortuj litery i cyfry Unicode wewnątrz każdego słowa niezależnie bez przenoszenia interpunkcji lub samych słów.

Otwórz narzędzie →

Sortuj wszystkie znaki tekstowe

Zamów każdy punkt kodu Unicode w całym wejściu z opcjonalnym usuwaniem białych znaków i wyraźnym kierunkiem rosnącym lub malejącym.

Otwórz narzędzie →

Liczba Tekst Zdania

Umieść każde wykryte zdanie na własnej numerowanej linii z konfigurowalną wartością początkową i trzema czytelnymi stylami znaczników.

Otwórz narzędzie →

Liczba Tekst Akapit

Numerowanie akapitów rozdzielonych pustymi wierszami przy zachowaniu wewnętrznych podziałów wierszy i formatowania każdego akapitu.

Otwórz narzędzie →

Wyszukiwarka duplikatów zdań

Wymień powtarzające się pełne zdania z licznikami, używając wyraźnego porównywania z uwzględnieniem wielkości liter lub bez uwzględniania wielkości liter.

Otwórz narzędzie →

Unikalny ekstraktor zdań

Zachowaj pierwsze wystąpienie każdego pełnego zdania i usuń późniejsze duplikaty w ramach reguły wybierania przypadków.

Otwórz narzędzie →

Kodera i dekodera tekstu Base32

Konwertuj tekst UTF-8 do kanonicznego Base32 RFC 4648 lub ściśle dekoduj wartość Base32 z dopełnieniem albo bez dopełnienia.

Otwórz narzędzie →

Kodowanie i dekodowanie tekstu Base32hex

Koduj i dekoduj UTF-8 za pomocą rozszerzonego szesnastkowego alfabetu Base32 zdefiniowanego przez RFC 4648, sekcja 7.

Otwórz narzędzie →

Koder i dekoder tekstu Base45

Przekształć tekst UTF-8 za pomocą kompaktowego alfabetu RFC 9285 Base45 używanego przez formaty danych zorientowane na QR.

Otwórz narzędzie →

Kodowanie i dekodowanie tekstu Bitcoin Base58

Konwertuj bajty UTF-8 z alfabetem Bitcoin Base58, zachowując dokładnie wiodące zera.

Otwórz narzędzie →

Kodowanie i dekodowanie tekstu Ascii85

Koduj UTF-8 w pięcioznakowych grupach Ascii85 lub dekoduj ścisłe dane zgodne z Adobe z opcjonalnymi separatorami i kompresją z.

Otwórz narzędzie →

Tekstowy koder i dekoder

Koduj tekst w stylu poczty UTF-8 jako quoted-printable RFC 2045 albo dekoduj zweryfikowane wielkie sekwencje ucieczki i znormalizowane przez przeglądarkę podziały wierszy.

Otwórz narzędzie →